[ruby-cvs:50040] drbrain:r42898 (trunk): * lib/rubygems: Update to RubyGems 2.1.0. Fixes CVE-2013-4287.

drbrain at ruby-lang.org drbrain at ruby-lang.org
Tue Sep 10 09:52:17 JST 2013


drbrain	2013-09-10 09:52:14 +0900 (Tue, 10 Sep 2013)

  New Revision: 42898

  http://svn.ruby-lang.org/cgi-bin/viewvc.cgi?view=rev&revision=42898

  Log:
    * lib/rubygems:  Update to RubyGems 2.1.0.  Fixes CVE-2013-4287.
    
      See http://rubygems.rubyforge.org/rubygems-update/CVE-2013-4287_txt.html
      for CVE information.
    
      See http://rubygems.rubyforge.org/rubygems-update/History_txt.html#label-2.1.0+%2F+2013-09-09
      for release notes.
    
    * test/rubygems:  Tests for the above.

  Added files:
    trunk/test/rubygems/test_gem_dependency_resolver_api_specification.rb
    trunk/test/rubygems/test_gem_dependency_resolver_index_set.rb
    trunk/test/rubygems/test_gem_dependency_resolver_index_specification.rb
    trunk/test/rubygems/test_gem_dependency_resolver_installed_specification.rb
    trunk/test/rubygems/test_gem_dependency_resolver_installer_set.rb
  Modified files:
    trunk/ChangeLog
    trunk/lib/rubygems/dependency_resolver/api_specification.rb
    trunk/lib/rubygems/dependency_resolver/index_set.rb
    trunk/lib/rubygems/dependency_resolver/index_specification.rb
    trunk/lib/rubygems/dependency_resolver/installed_specification.rb
    trunk/lib/rubygems/dependency_resolver/installer_set.rb
    trunk/lib/rubygems/dependency_resolver.rb
    trunk/lib/rubygems/gemcutter_utilities.rb
    trunk/lib/rubygems/request_set.rb
    trunk/lib/rubygems/spec_fetcher.rb
    trunk/lib/rubygems/specification.rb
    trunk/lib/rubygems/test_case.rb
    trunk/lib/rubygems/version.rb
    trunk/lib/rubygems.rb
    trunk/test/rubygems/test_gem.rb
    trunk/test/rubygems/test_gem_dependency_resolver.rb
    trunk/test/rubygems/test_gem_gemcutter_utilities.rb
    trunk/test/rubygems/test_gem_spec_fetcher.rb


More information about the ruby-cvs mailing list